Language:

Gönderen Konu: Hello from Arkansas USA and question about virtualbox  (Okunma sayısı 16626 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

lisa

  • Yeni

  • Çevrimdışı
  • *

  • 7
    • Profili Görüntüle
Hello,
My name is Lisa.  I appreciate this English section of the pisi linux forum.  I am a member of the international forum as well.  It is good to be here!

I had a question about virtualbox install in Izmir.  Are there any other dependencies that need  to be installed besides module-virtualbox, module-virtualbox-userspace and  virt-wrapper?  Does one need to install build-essentials?  (-c system.devel) ?

I get dmesg error: warning: `VirtualBox' uses 32-bit capabilities (legacy support in use)

Thank you for any help!
Regards, Lisa
« Son Düzenleme: 04 Kasım 2013, 19:43:49 Gönderen: lisa »

lisa

  • Yeni

  • Çevrimdışı
  • *

  • 7
    • Profili Görüntüle
Ynt: Hello from Arkansas USA and question about virtualbox
« Yanıtla #1 : 04 Kasım 2013, 23:41:55 »
Hello and thank you, aslan!

Sorry for my ignorance at install from github. 

I try this:
" sudo pisi bi https://github.com/pisilinux/PisiLinux/blob/c57ff2785bda2c4eb1c8d67b0dba813e6f6a8efb/hardware/virtualization/virtualbox/pspec.xml
Password:
pspec.xml                      (70.0 KB)100%      5.84 KB/s [00:00:00] [complete]
Program terminated.
File '/tmp/pspec.xml' has invalid XML"

P.S. You are busy working hard on pisi packages.
 I was  curious to try virtualbox.  I can wait for final release of pisilinux.   :)   I appreciate your help!
Regards, Lisa




« Son Düzenleme: 04 Kasım 2013, 23:45:59 Gönderen: lisa »

lisa

  • Yeni

  • Çevrimdışı
  • *

  • 7
    • Profili Görüntüle
Ynt: Hello from Arkansas USA and question about virtualbox
« Yanıtla #2 : 05 Kasım 2013, 00:53:27 »
Thank you!  Very good result, but I will have to wait for download to finish as I use dial-up.  This is no problem for me.  Will finish in four hours. ;)  Thank you again, aslan!

Kod: [Seç]
First time running pisi bi, said it needed some dependencies, to install alsa-lib-devel.  Installed alsa-lib-devel from stable repo. Second time, run pisi bi:

sudo pisi bi https://raw.github.com/pisilinux/PisiLinux/c57ff2785bda2c4eb1c8d67b0dba813e6f6a8efb/hardware/virtualization/virtualbox/pspec.xml -y
pspec.xml                      (8.0 KB)100%    137.23 KB/s [00:00:00] [complete]
actions.py                     (4.0 KB)100%     19.69 MB/s [00:00:00] [complete]
DEBUG: ComponentDB initialized in 0.0144820213318.
DEBUG: RepoDB initialized in 0.000216007232666.
DEBUG: InstallDB initialized in 0.00889492034912.
Unsatisfied Build Dependencies: libIDL-devel libXcomposite-devel libXcursor-devel libXinerama-devel
libXmu-devel libXrandr-devel libXt-devel libsdl-devel libxslt-devel acpica dev86 pulseaudio-libs-devel xorg-server-devel
DEBUG: PackageDB initialized in 0.0679280757904.
Installing build dependencies.
DEBUG: HistoryDB initialized in 0.000607013702393.
DEBUG: ComponentDB initialized in 0.00903511047363.
DEBUG: RepoDB initialized in 0.00020694732666.
DEBUG: InstallDB initialized in 0.00678396224976.
digraph G {


}
DEBUG: PackageDB initialized in 0.0622329711914.
DEBUG: checking libXmu release 5
DEBUG: checking libXt-devel
DEBUG: checking libXext-devel
DEBUG: checking libXt release 4
DEBUG: checking libSM-devel
DEBUG: checking libICE-devel
DEBUG: checking libXinerama release 4
DEBUG: checking libXext-devel
DEBUG: checking libpciaccess-devel
DEBUG: checking pixman-devel
DEBUG: checking xorg-app
DEBUG: checking mesa-devel
DEBUG: checking libIDL release 1
DEBUG: checking pulseaudio-libs release 3
DEBUG: checking libsdl release 1
DEBUG: checking libXcomposite release 3
DEBUG: checking libXfixes-devel
DEBUG: checking libXcursor release 4
DEBUG: checking libXfixes-devel
DEBUG: checking libXrender-devel
DEBUG: checking libXrandr release 5
DEBUG: checking libXrender-devel
DEBUG: checking libXext-devel
DEBUG: checking libxslt release 1
DEBUG: checking libICE release 2
DEBUG: checking libICE-devel
DEBUG: checking libSM release 3
DEBUG: checking pixman release 4
DEBUG: checking libXrender release 3
DEBUG: checking libpciaccess release 4
digraph G {
libXmu_devel[ label = "libXmu-devel(1.1.2,5)" ];
libXt_devel[ label = "libXt-devel(1.1.4,4)" ];
pixman_devel[ label = "pixman-devel(0.30.2,4)" ];
libXinerama_devel[ label = "libXinerama-devel(1.1.3,4)" ];
xorg_server_devel[ label = "xorg-server-devel(1.14.2,9)" ];
libIDL_devel[ label = "libIDL-devel(0.8.14,1)" ];
pulseaudio_libs_devel[ label = "pulseaudio-libs-devel(4.0,3)" ];
libsdl_devel[ label = "libsdl-devel(1.2.15,1)" ];
dev86[ label = "dev86(0.16.19,2)" ];
libICE_devel[ label = "libICE-devel(1.0.8,2)" ];
libXcomposite_devel[ label = "libXcomposite-devel(0.4.4,3)" ];
libSM_devel[ label = "libSM-devel(1.2.2,3)" ];
libXcursor_devel[ label = "libXcursor-devel(1.1.14,4)" ];
libpciaccess_devel[ label = "libpciaccess-devel(0.13.2,4)" ];
libXrandr_devel[ label = "libXrandr-devel(1.4.2,5)" ];
libxslt_devel[ label = "libxslt-devel(1.1.27,1)" ];
libXrender_devel[ label = "libXrender-devel(0.9.8,3)" ];
acpica[ label = "acpica(0.0_20130117,2)" ];

libXmu_devel -> libXt_devel;
libXt_devel -> libICE_devel;
libXt_devel -> libSM_devel;
xorg_server_devel -> pixman_devel;
xorg_server_devel -> libpciaccess_devel;
libSM_devel -> libICE_devel;
libXcursor_devel -> libXrender_devel;
libXrandr_devel -> libXrender_devel
and
Kod: [Seç]
}
Following packages will be installed:
acpica                 dev86                libICE-devel      libIDL-devel     
libSM-devel            libXcomposite-devel  libXcursor-devel  libXinerama-devel
libXmu-devel           libXrandr-devel      libXrender-devel  libXt-devel     
libpciaccess-devel     libsdl-devel         libxslt-devel     pixman-devel     
pulseaudio-libs-devel  xorg-server-devel

(And above packages were installed.)

translations.xml               (641.0  B)100%      4.81 MB/s [00:00:00] [complete]
004-system-xorg.patch          (8.0 KB)100%     67.88 KB/s [00:00:00] [complete]
config.patch                   (672.0  B)100%      5.13 MB/s [00:00:00] [complete]
VirtualBox-1.6.0_OSE-futex.patch (743.0  B)100%      5.06 MB/s [00:00:00] [complete]
VirtualBox-kernel-headers-2.6.29.patch (628.0  B)100%      4.44 MB/s [00:00:00] [complete]
wrapper.patch                  (0.0 KB)100%      6.34 MB/s [00:00:00] [complete]
desktop-file.patch             (793.0  B)100%      5.25 MB/s [00:00:00] [complete]
fix-tr-keyboard.patch          (825.0  B)100%      4.92 MB/s [00:00:00] [complete]
virtualbox-4-makeself-check.patch (289.0  B)100%      2.09 MB/s [00:00:00] [complete]
virtualbox-4.1.2-vboxpci-build.patch (568.0  B)100%      4.20 MB/s [00:00:00] [complete]
module-mismatch.patch          (2.0 KB)100%     14.63 MB/s [00:00:00] [complete]
package.py                     (373.0  B)100%      2.67 MB/s [00:00:00] [complete]
vbvboxclient.sh                  (95.0  B)100%    742.60 KB/s [00:00:00] [complete]
Building source package: virtualbox
[/code]
« Son Düzenleme: 05 Kasım 2013, 01:00:37 Gönderen: lisa »

 

Yukarı Çık & Back to Up